local ASCII_0_NUMBER = 48
local ASCII_9_NUMBER = 57
SLASH_DISENCH1 = '/disenchantus' --disenchantus
SLASH_MILLINGUS1 = '/millingus'  --millingus
SLASH_PROSPECTINGUS1 = '/prospectingus'  --prospectingus
SLASH_DESTROYUSPRO1 = '/destroyuspro'  --destroyuspro
SLASH_DESPRO1 = '/despro'  --destroyuspro

commandsDisenchanting = {}
commandsDisenchanting["uncommon"] = _DPSettingsManager.changeQualityDisenchantingStrCommand
commandsDisenchanting["rare"] = _DPSettingsManager.changeQualityDisenchantingStrCommand
commandsDisenchanting["epic"] = _DPSettingsManager.changeQualityDisenchantingStrCommand
commandsDisenchanting["macro"] = _DPSettingsManager.createMacroDisenchanting

commandsDisenchanting["2"] = _DPSettingsManager.changeQualityDisenchantingNumCommand
commandsDisenchanting["3"] = _DPSettingsManager.changeQualityDisenchantingNumCommand
commandsDisenchanting["4"] = _DPSettingsManager.changeQualityDisenchantingNumCommand

commandsMilling = {}
commandsMilling["macro"] = _DPSettingsManager.createMacroMiling
commandsMilling["macrolegion"] = _DPSettingsManager.createMacroMassMilingLegion

commandsProspecting = {}
commandsProspecting["macro"] = _DPSettingsManager.createMacroProspecting
commandsProspecting["macrolegion"] = _DPSettingsManager.createMacroMassProspectingLegion

commandsDestroyusPro = {}
commandsDestroyusPro["offinfo"] = _DPSettingsManager.changeStateForPrintout
commandsDestroyusPro["oninfo"] = _DPSettingsManager.changeStateForPrintout
commandsDestroyusPro[""] = _DPSettingsManager.openFrame

ExtraTabFun.setDefault(commandsDisenchanting, _DPSettingsManager.unknownCommand)
ExtraTabFun.setDefault(commandsMilling, _DPSettingsManager.unknownCommand)
ExtraTabFun.setDefault(commandsProspecting, _DPSettingsManager.unknownCommand)
ExtraTabFun.setDefault(commandsDestroyusPro, _DPSettingsManager.unknownCommand)

local function commandHandler(msg, editBox)
	commandsDisenchanting[msg](msg)
	if _DPMainSettingsFrame:IsVisible() then
		_DPMainSettingsFrame:Hide()
	    _DPMainSettingsFrame:Show()
	end
end

local function commandHandlerMilling(msg, editBox)
	commandsMilling[msg](msg)
	if _DPMainSettingsFrame:IsVisible() then
	    _DPMainSettingsFrame:Hide()
	    _DPMainSettingsFrame:Show()
	end
end

local function commandHandlerProspecting(msg, editBox)
	commandsProspecting[msg](msg)
	if _DPMainSettingsFrame:IsVisible() then
	    _DPMainSettingsFrame:Hide()
	    _DPMainSettingsFrame:Show()
	end
end

local function commandHandlerDestroyusPro(msg, editBox)
	commandsDestroyusPro[msg](msg)
	if _DPMainSettingsFrame:IsVisible() then
	    _DPMainSettingsFrame:Hide()
	    _DPMainSettingsFrame:Show()
	end
end

SlashCmdList["DISENCH"] = commandHandler
SlashCmdList["MILLINGUS"] = commandHandlerMilling
SlashCmdList["PROSPECTINGUS"] = commandHandlerProspecting
SlashCmdList["DESTROYUSPRO"] = commandHandlerDestroyusPro
SlashCmdList["DESPRO"] = commandHandlerDestroyusPro